> For the complete documentation index, see [llms.txt](https://guia.fenicio.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guia.fenicio.help/developers/api-integracion-de-logistica/condiciones-de-conexion.md).

# Condiciones de conexión

## Seguridad

Recomendamos que la comunicación con el servicio se realice por un canal seguro utilizando https. En tal caso, el certificado empleado deberá ser válido para el dominio del servicio y firmado por una entidad autorizada. La autenticación se hará mediante token y el mismo se incluirá en los headers de las solicitudes como Bearer Token.

## Timeout de conexión

Fenicio define un tiempo máximo de 1000 ms para establecer una conexión con un sistema externo.

## Timeout de respuesta

Fenicio define un tiempo máximo de 5000 ms para obtener una respuesta del sistema externo.

## Host de los servicios

Los servicios deberán disponerse a través de nombres de dominio (no se admitirán conexiones de IP dinámica tipo DynDNS).

## Ambiente de testing

Es necesario que el comercio brinde un ambiente de testing al cual puedan estar conectados todos los servicios necesarios de Fenicio y que puedan efectuarse pruebas sin alterar la operativa normal.

## Requerimientos para integración

Estos datos deben ser proporcionados cuando el desarrollador a cargo los solicite:

* Nombre de la logística (Indicar el nombre de la empresa de logística)
* URL base de producción y testing. (Proveer las URLs base tanto para el entorno de producción como para el de testing).
* Listado de servicios a integrar (Enumerar los servicios que se van a integrar, además de los obligatorios).
* Listado de posibles códigos de estado (Indicar los posibles códigos de estado que se enviarán a través del [webhook de notificaciones](https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/notifications-webhook.md) campo string "statusCode").
* Token para autenticación (Proporcionar el token necesario para la autenticación con los servicios. Este token también se puede configurar dentro del administrador de la tienda cuando se les dé acceso para pruebas).
* Listado de tipos de servicio o modalidades (Proveer una lista con los códigos y nombres de los tipos de servicio o modalidades. Ejemplo: Estándar, Agendado). Especificar si alguno de los tipos de servicio requiere consultar el servicio de agenda [/getDeliveryTimeSlots](https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/get-delivery-time-slots.md)).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://guia.fenicio.help/developers/api-integracion-de-logistica/condiciones-de-conexion.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
